#lang racket/base
(require racket/string)

(define (in-diagonal? i j size)
  (or 
   (= i j)
   (= (+ i j) (sub1 size))))

(define (make-x n)
  (let ([size (+ (* 2 n) 1)])
    (string-join
     (for/list ([i (in-range size)])
       (build-string
        size
        (λ (j)
          (if (in-diagonal? i j size)
              #\x
              #\space))))
     "\n")))

(for ([i (in-range 5)])
  (displayln (make-x i))
  (newline))
