#lang slideshow
; Rodolfo Henrique Carvalho
; 2011/07/01

(set-page-numbers-visible! #f)

;; Library.

(define (large-text txt)
  (text txt (current-main-font) 62))

(define logo
  (bitmap (build-path (collection-path "icons") "PLT-206-larval.png")))

(define (twitter username)
  (colorize (hbl-append (t "@") (t username)) "purple"))

;; Slides.

(slide
 (para #:align 'center 
       (large-text "Slides programáticos"))
 (blank 50)
 logo
 (table 3
        (list (t "Rodolfo Carvalho") (twitter "201") (hyperlinkize (t "rodolfocarvalho.net")))
        lc-superimpose ; left-align all columns
        cc-superimpose ; v-center all rows
        gap-size  ; separate all columns by gap-size
        gap-size))

(slide
 (bitmap "dojorio.jpg")
 (colorize (bt "dojorio.org") "red"))

(slide
 (scale (bitmap "python-logo.gif") 2.0))

(slide
 (t "mas vamos ver uns parênteses...")
 'next
 (t "com o \"modo\" Slideshow do Racket!")
 (hyperlinkize (t "http://racket-lang.org")))